# Copyright 2001 Benjamin Trott. This code cannot be redistributed without
# permission from www.movabletype.org.
#
# $Id: Comment.pm,v 1.5 2001/10/24 23:56:11 btrott Exp $

package MT::Comment;
use strict;

use MT::Object;
@MT::Comment::ISA = qw( MT::Object );
__PACKAGE__->install_properties({
    columns => [
        'id', 'blog_id', 'entry_id', 'author', 'email', 'url', 'text'
    ],
    indexes => {
        entry_id => 1,
        blog_id => 1,
    },
    audit => 1,
    datasource => 'comment',
    primary_key => 'id',
});

1;
